package data

import (
	"context"
	"git.oa00.com/supply-chain/service/client"
	"github.com/shopspring/decimal"
)

type count struct {
}

type ArgsCountSource struct {
	StartAt string
	EndAt   string
}

type ReplySourceItem struct {
	SourceName        string          `json:"sourceName"`        // 供应渠道
	ProduceTotalPrice decimal.Decimal `json:"produceTotalPrice"` // 采购总金额
	ProduceFreightFee decimal.Decimal `json:"ProduceFreightFee"` // 采购应付运费
	ProducePrice      decimal.Decimal `json:"producePrice"`      // 采购合计金额
	SaleTotalPrice    decimal.Decimal `json:"saleTotalPrice"`    // 销售总金额
	SaleFreightFee    decimal.Decimal `json:"saleFreightFee"`    // 销售应收运费
	SalePrice         decimal.Decimal `json:"salePrice"`         // 销售合计金额
	PlatformRefund    decimal.Decimal `json:"platformRefund"`    // 平台退款金额
	SupplierRefund    decimal.Decimal `json:"supplierRefund"`    // 供应商退款金额
}

// Source @Title 供应商对账表
func (c *count) Source(ctx context.Context, args ArgsCountSource) (reply []ReplySourceItem, err error) {
	xClient, err := client.GetClient(c)
	if err != nil {
		return
	}
	err = xClient.Call(ctx, "Source", args, &reply)
	return
}
